package com.mints.goodmoney.ui.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.mints.goodmoney.R

class XmlyPageAdapter(val xmlyPageList: Any?) :
        RecyclerView.Adapter<XmlyPageAdapter.ViewHolder>() {

    lateinit var context: Context

    lateinit var mOnItemClickListener: OnItemClickListener


    inner class ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        context = parent.context
        val view = LayoutInflater.from(context).inflate(R.layout.item_rv_xmly_page, parent, false)
        val viewHolder = ViewHolder(view)
        return viewHolder
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.itemView.setTag(position)
    }

    //    override fun getItemCount() = xmlyPageList?.size
    override fun getItemCount() = 10

    interface OnItemClickListener {
        fun onItemClick(position: Int)
    }

    fun setOnItemClickListener(listener: OnItemClickListener) {
        mOnItemClickListener = listener
    }

}