package com.mints.goodmoney.ui.fragment

import androidx.recyclerview.widget.GridLayoutManager
import com.mints.goodmoney.R
import com.mints.goodmoney.ui.adapter.XmlyPageAdapter
import com.mints.goodmoney.ui.fragment.base.LazyLoadBaseFragment
import kotlinx.android.synthetic.main.fragment_main_xmly_page.*

/**
 * 描述：喜马拉雅封面
 * 作者：孟崔广
 */
class XmlyPageFragment(val data: Int) : LazyLoadBaseFragment() {

    private lateinit var xmlyPageAdapter: XmlyPageAdapter

    override fun getContentViewLayoutID() = R.layout.fragment_main_xmly_page

    override fun initViewsAndEvents() {

    }

    override fun onFragmentFirstVisible() {
        super.onFragmentFirstVisible()
        showToast("" + data)

        //recyclerview 加载封面
        initRvView()
        //recyclerview 事件监听

    }

    private fun initRvView() {
        val gridLayoutManager = GridLayoutManager(context, 2)
        xmlyPageVip.layoutManager = gridLayoutManager
        xmlyPageAdapter = XmlyPageAdapter(null)
        xmlyPageVip.adapter = xmlyPageAdapter
    }
}